<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_963704c97829cbb6c" . "0d426cbb6651452" => base64_decode("cHJvY2Vzc19jbGFfd" . "GVtcGxhdGU="), "_7f628626dd1d55c71b1fc0932ffd" . "1d2c" => base64_decode("aXNfYXJy" . "YXk="), "_dcd48c94b8c6e6387e4d3a774bd0ce" . "44" => base64_decode("Li4vY29tbW9uL3" . "RlbXBsYXRlci5w" . "aHA="), "_fddb56623dfb01" . "660a0fb8db075e1" . "47a" => base64_decode("Z2V" . "0dm" . "FyX" . "3Nz"));












































class DialogComponent extends ErrorHandler
{
    var $prefix = '';
    var $paramslist = array();
    var $template_location;
    
    
    
    var $params = array();
    
    
    
    
    
    protected $args;
    
    
    public function __construct($_56c5d9025cc65a2df9f8070c67254173, $_b34ee2b639fe77c1ee591c3a641c2133, $prefix = '')
    {
        $this->prefix = $prefix;
        
        
        $this->paramslist = $_56c5d9025cc65a2df9f8070c67254173;
        
        
        $this->template_location = $_b34ee2b639fe77c1ee591c3a641c2133;
        global $args;
        $this->args =& $args;
        return true;
    }
    public function SetArgsArray(&$args)
    {
        $this->args =& $args;
    }
    function GetTemplateLocation()
    {
        return $this->template_location;
    }
    function GetParams($_8dc0592537dc5fb48873bb782fa6feb1 = '')
    {
        foreach ($this->paramslist as $_58f93fdc985d52139f31179b7302ecbf) {
            $_23414dfe449d95adfe59c740e3cb3ebb = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fddb56623dfb01660a0fb" . "8db075e147a"]($this->prefix . $_58f93fdc985d52139f31179b7302ecbf);
            $this->params[$_58f93fdc985d52139f31179b7302ecbf] = isset($_23414dfe449d95adfe59c740e3cb3ebb) ? $_23414dfe449d95adfe59c740e3cb3ebb : ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7f628626dd" . "1d55c71b1fc" . "0932ffd1d2c"]($_8dc0592537dc5fb48873bb782fa6feb1) && isset($_8dc0592537dc5fb48873bb782fa6feb1[$_58f93fdc985d52139f31179b7302ecbf]) ? $_8dc0592537dc5fb48873bb782fa6feb1[$_58f93fdc985d52139f31179b7302ecbf] : null);
        }
        return $this->params;
    }
    function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->params[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->params[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    function CheckParams()
    {
        return true;
    }
    function Show()
    {
        return true;
    }
    function Update()
    {
        return true;
    }
    function GetDialogHTML()
    {
        require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_dcd48c9" . "4b8c6e63" . "87e4d3a7" . "74bd0ce4" . "4"];
        global $datasources;
        $_34460bffd3af92da81e46ee15e9e66e3 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_963704c97829cbb6c0d426" . "cbb6651452"]($this->GetTemplateLocation(), $this->args, $datasources);
        return $_34460bffd3af92da81e46ee15e9e66e3;
    }
}